Skip to main content

Update a BYOL license to a capacity-based license

Updates a bring-your-own-license (BYOL) license to a capacity-based license for an existing Cloud Volumes ONTAP system. Use this to transition your licensing model to align with capacity requirements.

HTTP method and endpoint

PUT /aws/ha/working-environments/{workingEnvironmentId}/byol-to-capacity

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

Request Body

Name Type Required Description

capacityPackageName

string

True

Capacity based package

deleteByNodeByolLicense

boolean

False

sendAsup

boolean

True

Example request
{
  "capacityPackageName": "string",
  "sendAsup": false
}

Error

Status: Default, Default response
Name Type Required Description

serial1

string

True

serial2

string

False

Example error response
{
  "serial1": "string",
  "serial2": "string"
}